Arduino

## Serial.readBytes()

#### Description

Serial.readBytes() reads characters from the serial port into a buffer. The function terminates if the determined length has been read, or it times out (see Serial.setTimeout()).

Serial.readBytes() returns the number of characters placed in the buffer. A 0 means no valid data was found.

Serial.readBytes() inherits from the Stream utility class.

#### Syntax

Serial.readBytes(buffer, length)

#### Parameters

buffer: the buffer to store the bytes in (char[] or byte[])
length : the number of bytes to read (int)

#### Returns

byte

#### See also

- Stream
- Stream.readBytes()

Reference Home

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes